deds.chooseTest {DEDS} | R Documentation

## Selection of the Most Common Statistics for Differential Expression

### Description

This function selects a set of functions of common statistics for differential expression in microarray data analysis, given specific observation class labels. As a default, t-statistics, fold change and SAM are selected.

### Usage

    deds.chooseTest(L = NULL, tests = c("t", "sam", "fc"))

### Arguments

`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.

`tests`

A character vector specifying the statistics to be used to test the null hypothesis of no association between the variables and the class labels. For DEDS, there should be more than one statistic chosen from the following:

"t": | t-statistics;
"f": | F-statistics;
"fc": | fold changes;
"sam": | SAM-statistics;
"modt": | moderated t-statistics;
"modf": | moderated F-statistics;
"B": | B-statistics.

### Details

`deds.chooseTest` can be used together with the function `deds.stat`. The user specifies the types of statistics needed for subsequent DEDS analysis by the argument `tests` and the function returns accordingly a list the statistics function, which could be used for input `testfun` in the function `deds.stat`.

### Value

A list of statistics functions specified by the user which could be used for input in the function `deds.stat`.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.t`, `comp.FC`, `comp.SAM`

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    # as a default, chooses t, fc and sam
    funcs <- deds.chooseTest(L)
    deds.X <- deds.stat(X, L, testfun=funcs)

    # chooses F statistic, SAM statistic, and moderated F statistic
    L <- rep(0:2, c(3,3,4))
    funcs <- deds.chooseTest(L, tests=c("f", "sam", "modf"))

[Package DEDS version 1.6.0 Index]